%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Battery monitor plugin for the Xfce panel
Name:		xfce4-battery-plugin
Version:	1.0.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-battery-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel >= 4.9.0

%description
Battery monitor panel plugin for the Xfce Desktop Environment.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libbattery.so
%{_datadir}/xfce4/panel/plugins/battery.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 386791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 1.0.5-1.mga3
+ Revision: 265360
- new version 1.0.5

* Mon May 28 2012 wally <wally> 1.0.4-1.mga3
+ Revision: 248536
- new version 1.0.4
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-2.mga2
+ Revision: 190055
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-1.mga1
+ Revision: 54065
- sync with xfce4-battery-plugin-1.0.0-1.src.rpm (Manriva):
  o update to new version 1.0.0
  o drop patches 2 and 3
  o drop old scriplets
  o fix file list
  o update url for Source0
- imported package xfce4-battery-plugin

